Ingress

Create an ingress endpoint for a room

POST
/api/v1/ingress

Authorization

tenant-api-key
x-api-key<token>

Tenant API key (backend only — never expose to a browser)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/ingress" \  -H "Content-Type: application/json" \  -d '{    "roomId": "string",    "name": "string",    "inputType": "RTMP",    "participantIdentity": "string",    "participantName": "string",    "createdByExternalId": "string"  }'
{  "id": "string",  "roomId": "string",  "livekitIngressId": "string",  "name": "string",  "inputType": "RTMP",  "enableTranscoding": true,  "participantIdentity": "string",  "participantName": "string",  "ingressUrl": {},  "streamKey": {},  "status": "CREATED",  "createdByExternalId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}